### Function

# RB scale_pixbuf_to_size

#### Declaration [src]

    GdkPixbuf*
    rb_scale_pixbuf_to_size (
      GdkPixbuf* pixbuf,
      GtkIconSize size
    )

#### Description [src]

Creates a new `GdkPixbuf` from the original one, for a target of size, respecting the aspect ratio of the image.

#### Parameters

`pixbuf`

  Type: `GdkPixbuf`

  The `GdkPixbuf` containing the original image.

  The data is owned by the caller of the function.

`size`

  Type: `GtkIconSize`

  A stock icon size.

#### Return value

Type: `GdkPixbuf`

Scaled `GdkPixbuf`.

The caller of the function takes ownership of the data, and is responsible for freeing it.